Squid on 2.1.5 not installing



  • I installed a bare metal pfbox with the latest 2.1.5. Going to the system> package to install squid, it wont install. Below is the error message.

    Please help.

    Beginning package installation for squid .
    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading squid and its dependencies...
    Checking for package installation...
    Downloading https://files.pfsense.org/packages/8/All/squid-2.7.9_3-i386.pbi ...  (extracting)
    Verifying Checksum...SKIP_ARCHLINES: 69
    Archive checksum: 060602b0c82806be6bb73eca942688ad8c5229592c837c54076fb24e2f9825c0
    Saved checksum: 060602b0c82806be6bb73eca942688ad8c5229592c837c54076fb24e2f9825c0
    OK
    SKIP_ARCHLINES: 69
    Extracting to: /usr/pbi/squid-i386
    TOTALFILES: 6576
    tar: Failed to set default locale
    x ./
    x ./bin/
    x ./etc/
    x ./include/
    x ./info/
    x ./lib/
    x ./libdata/
    x ./libexec/
    x ./sbin/
    x ./share/
    x ./www/
    x ./.auto-external-links
    x ./.sbin/
    x ./.pbi-hash-list
    x ./.sbin/install-pathlinks.sh
    x ./.sbin/uninstall-pathlinks.sh
    x ./.sbin/RunCache
    x ./.sbin/RunCache.pbiopt
    x ./.sbin/RunCache.ldhints
    x ./.sbin/squidclient
    x ./.sbin/squidclient.pbiopt
    x ./.sbin/squidclient.ldhints
    x ./.sbin/squid
    x ./.sbin/squid.pbiopt
    x ./.sbin/squid.ldhints
    x ./.sbin/cossdump
    x ./.sbin/cossdump.pbiopt
    x ./.sbin/cossdump.ldhints
    x ./.sbin/.pbi-install.sh
    x ./.sbin/.pbi-uninstall.sh
    x ./share/aclocal/
    x ./share/dict/
    x ./share/emacs/
    x ./share/examples/
    x ./share/java/
    x ./share/locale/
    x ./share/misc/
    x ./share/nls/
    x ./share/pixmaps/
    x ./share/sgml/
    x ./share/skel/
    x ./share/xml/
    x ./share/licenses/
    x ./share/gettext/
    x ./share/w3c-libwww/
    x ./share/w3c-libwww/image.xbm
    x ./share/w3c-libwww/index2.xbm
    x ./share/w3c-libwww/text.xbm
    x ./share/w3c-libwww/back.xbm
    x ./share/w3c-libwww/ftp.xbm
    x ./share/w3c-libwww/unknown.xbm
    x ./share/w3c-libwww/blank.xbm
    x ./share/w3c-libwww/compressed.xbm
    x ./share/w3c-libwww/unknown.doc.xbm
    x ./share/w3c-libwww/binary.xbm
    x ./share/w3c-libwww/gzip.xbm
    x ./share/w3c-libwww/doc.xbm
    x ./share/w3c-libwww/tar.xbm
    x ./share/w3c-libwww/unknown.old.xbm
    x ./share/w3c-libwww/directory.xbm
    x ./share/w3c-libwww/sound.xbm
    x ./share/w3c-libwww/binhex.xbm
    x ./share/w3c-libwww/dummy.xbm
    x ./share/w3c-libwww/uu.xbm
    x ./share/w3c-libwww/index.xbm
    x ./share/w3c-libwww/movie.xbm
    x ./share/w3c-libwww/telnet.xbm
    x ./share/gettext/ABOUT-NLS
    x ./share/gettext/intl/
    x ./share/gettext/gettext.h
    x ./share/gettext/javaversion.class
    x ./share/gettext/msgunfmt.tcl
    x ./share/gettext/po/
    x ./share/gettext/projects/
    x ./share/gettext/styles/
    x ./share/gettext/archive.dir.tar.gz: Lzma library error: Corrupted input data
    tar: Error exit delayed from previous errors.
    pbi_add: Failed extracting /tmp/apkg_squid-2.7.9_3-i386.pbi
    of squid-2.7.9_3-i386 failed!

    Installation aborted.Removing package...
    Starting package deletion for squid-2.7.9_3-i386...done.
    Removing squid components...
    Tabs items... done.
    Menu items... done.
    Services... done.
    Loading package instructions...
    Include file squid.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    done.
    Failed to install package.

    Installation halted.


  • Rebel Alliance Developer Netgate

    Can you reproduce it on another system? I can't reproduce it here.

    It could be having trouble reading/writing the decompressed package files to your disk. The package appears to download correctly, in your output it shows the checksum matches, so it's not likely a problem with the server or the .pbi file. Especially since it works for others.



  • It seems like the previous aborted squid installation is the culprit. I ask my mate what he did previously and I was told it was now his second attempt. What happened is that while installing it originally (the squid) he navigated to another page and when I came back he showed me the squid appearing in the list of installed packages but when I checked on the services the proxy server UI is not there so what I did is totally reinstalled from scratched. The restore factory settings did not work so I had to reinstall it from boot, and it worked.

    Thanks for looking into it anyway!



  • In the future, with a botched for some reason squid, try:

    squid -k shutdown

    cd /var/squid/cache

    rm -rf *

    squid -z

    Then reboot and reinstall squid package.


Log in to reply